package com.picture.ar.drawing.utils;

import android.adservices.adid.AdIdManager;
import android.app.Application;
import android.content.res.AssetManager;
import android.graphics.Typeface;

import com.ad.toponlibrary.AdManager;
import com.picture.ar.drawing.data.MyDataBase;
import com.up.uploadlibrary.SaveUtils;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class App extends Application {
    public static String Key_ViewDir = "pre_dir";
    public static String Key_ISMAIN = "ismain";
    public static String Key_Camera = "camera_data";

    public static String TAG = "=============";


    public static App app;

    public static final String[] CLASS_NAMES = {
            "local_Aesthetic",
            "local_One Line Art",
            "local_People",
            "local_Animals",
            "local_Birds",
            "local_Tropical Paradise",
            "local_World Monuments",
            "local_Butterfly",
            "local_Food",
            "local_Cartoons",
            "local_Christmas",
            "local_Festivals",
            "local_Flowers",
            "local_Fruits",
            "local_General",
            "local_Mehndi",
            "local_Nature",
            "local_Architectures",
            "local_Rangoli",
            "local_Sports",
            "local_Car",
            "local_Space"
    };



    public static Typeface defaultFont;
    private static List<String> classNameList;

    @Override
    public void onCreate() {
        super.onCreate();
        app = this;
        AssetManager assets = getAssets();
        defaultFont = Typeface.createFromAsset(assets, "myfont.ttf");
        classNameList = Arrays.asList(CLASS_NAMES);
        MyDataBase.init(this);
        AdManager.INSTANCE.init(TAG,app,"h685cdf7a32d35","ac45685ea25ae4600789c6b9abde8cb77",
                "d0a434af69020f58cd1c246da4adb0630eb18a02",
                "n685cdfc936372",
                "n685cdfbabc1f0",
                "n685cdfa5973c5",false);
        SaveUtils.INSTANCE.init(this);

    }

    public static List<String> getAllDir() {
        Collections.shuffle(classNameList);
        return classNameList;


    }
}
